Bug 241077 - UnicodeEncodeError traceback during french TUI install
Summary: UnicodeEncodeError traceback during french TUI install
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-05-23 22:11 UTC by Will Woods
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-25 18:33:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Will Woods 2007-05-23 22:11:43 UTC
With Anaconda 11.2.0.62, anaconda traces back while running the %pre scripts due
to a UnicodeEncodeError:

Traceback (most recent call last):
File "/usr/bin/anaconda", line 920, in <module>
    kickstart.processKickstartFile(anaconda, opts.ksfile)
File "/usr/lib/anaconda/kickstart.py", line 834, in processKickstartFile
    runPreScripts(anaconda,ksparser.handler.scripts)
File "/usr/lib/anaconda/kickstart.py", line 960, in runPreScripts
    _("Running pre-install scripts"))
File "/usr/lib/anaconda/text.py", line 461, in waitWindow
    return WaitWindow(self.screen, title, text)
File "/usr/lib/anaconda/text.py", line 93, in __init__
    t= TextboxReflowed(width, text)
File "/usr/lib/python2.5/site-packages/snack.py", line 218, in __init__
    (newtext, width, height) = reflow(text, width, flexDown, flexUp)
File "/usr/lib/python2.5/site-packages/snack.py", line 501, in reflow
    return _snack.reflow(text, width, flexDown, flexUp)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 2:
ordinal not in range(128)

(note: I retyped this by hand - the line numbers are all right, but there might
be other typos, so double-check if you're grepping for these lines)

I suspect this'll be a problem with any non-english kickstart TUI installs.

Comment 1 Will Woods 2007-05-23 22:41:29 UTC
My mistake - this was .63, not .62.

Comment 2 Jeremy Katz 2007-05-24 20:33:20 UTC
Fixed with rhpl-208

Comment 3 Will Woods 2007-05-25 18:33:47 UTC
Confirmed fixed with rhpl-208 and anaconda-11.2.0.65-1.


Note You need to log in before you can comment on or make changes to this bug.